org.apache.ignite.internal.metric

## Class IoStatisticsHolderIndex

- java.lang.Object
- - org.apache.ignite.internal.metric.IoStatisticsHolderIndex

All Implemented Interfaces:
  IoStatisticsHolder

    public class IoStatisticsHolderIndex
    extends Object
    implements IoStatisticsHolder

Index statistics holder to gather statistics related to concrete index.

### Field Summary

Fields
`static String` `HASH_PK_IDX_NAME` Display name of hash PK index.
`static String` `LOGICAL_READS_INNER`
`static String` `LOGICAL_READS_LEAF`
`static String` `PHYSICAL_READS_INNER`
`static String` `PHYSICAL_READS_LEAF`

### Constructor Summary

Constructors
Constructor and Description
`IoStatisticsHolderIndex(IoStatisticsType type, String grpName, String idxName, GridMetricManager mmgr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `logicalReads()`
`String` `metricRegistryName()`
`long` `physicalReads()`
`String` `toString()`
`void` `trackLogicalRead(long pageAddr)` Track logical read of given page.
`void` `trackPhysicalAndLogicalRead(long pageAddr)` Track physical and logical read of given page.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### HASH_PK_IDX_NAME

    public static final String HASH_PK_IDX_NAME

Display name of hash PK index.

See Also:
  Constant Field Values

#### LOGICAL_READS_LEAF

    public static final String LOGICAL_READS_LEAF

See Also:
  Constant Field Values

#### LOGICAL_READS_INNER

    public static final String LOGICAL_READS_INNER

See Also:
  Constant Field Values

#### PHYSICAL_READS_LEAF

    public static final String PHYSICAL_READS_LEAF

See Also:
  Constant Field Values

#### PHYSICAL_READS_INNER

    public static final String PHYSICAL_READS_INNER

See Also:
  Constant Field Values

### Constructor Detail

#### IoStatisticsHolderIndex

    public IoStatisticsHolderIndex(IoStatisticsType type,
                                   String grpName,
                                   String idxName,
                                   GridMetricManager mmgr)

Parameters:
  `type` - Type of statistics.
  `grpName` - Group name.
  `idxName` - Index name.
  `mmgr` - Metric manager.

### Method Detail

#### trackLogicalRead

    public void trackLogicalRead(long pageAddr)

Track logical read of given page.

Specified by:
  `trackLogicalRead` in interface `IoStatisticsHolder`
Parameters:
  `pageAddr` - Address of page.

#### trackPhysicalAndLogicalRead

    public void trackPhysicalAndLogicalRead(long pageAddr)

Track physical and logical read of given page.

Specified by:
  `trackPhysicalAndLogicalRead` in interface `IoStatisticsHolder`
Parameters:
  `pageAddr` - start address of page.

#### logicalReads

    public long logicalReads()

Specified by:
  `logicalReads` in interface `IoStatisticsHolder`
Returns:
  Number of logical reads.

#### physicalReads

    public long physicalReads()

Specified by:
  `physicalReads` in interface `IoStatisticsHolder`
Returns:
  Number of physical reads.

#### metricRegistryName

    public String metricRegistryName()

Specified by:
  `metricRegistryName` in interface `IoStatisticsHolder`
Returns:
  Metric registry name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021